#ifndef TEMPDIALOG_H
#define TEMPDIALOG_H

#include <QDialog>
#include <QTimer>
#include "libschremote.h"

namespace Ui
  {
  class TempDialog;
  }

class TempDialog : public QDialog
  {
  Q_OBJECT

  public:
    explicit TempDialog(SR_HANDLE s, QWidget *parent = 0);
    ~TempDialog();

  private:
    Ui::TempDialog *ui;
    SR_HANDLE srh;
    QTimer* timer;

    void setupDevice();

  public slots:
    void timerUpdate();
  };

#endif // TEMPDIALOG_H
