#ifndef CONNECTIONDIALOG_H
#define CONNECTIONDIALOG_H

#include <QDialog>
#include <QListWidget>

namespace Ui
  {
  class ConnectionDialog;
  }

class ConnectionDialog : public QDialog
  {
  Q_OBJECT

  public:
    explicit ConnectionDialog(QWidget *parent = 0);
    ~ConnectionDialog();

  private:
    Ui::ConnectionDialog *ui;

  public slots:
    void performSearch();
    void itemSelect(QListWidgetItem* sel);
    void addresChange(const QString & text);
    void connectPress();
  };

#endif // CONNECTIONDIALOG_H
